      program montecarlo_hard_spheres
      implicit none
      include 'nparticles.inc'
      include 'init.inc'
      real amp
      integer i,step,nacc
      logical accept
      real rold(3),rnew(3)
      
      call init(amp)
      call control(0,accept,amp)
      call radial_distribution(0,23)

      nacc=0

      do step=1,nstep         
         do i=1,np
            accept=.false.
            call get_posic(i,rold)
            call movemc(i,rold,rnew,amp)
            call overlap(i,rnew,accept)
            if(accept) then
               nacc=nacc+1
               call give_posic(i,rnew)
            end if
            call control(1,accept,amp)
         end do
         
         if(mod(step,nsamp).eq.0) then
            call control(2,accept,amp)
            call radial_distribution(1,23)
         end if
         
         if(mod(step,nsave).eq.0) then
            call save(amp)
            call radial_distribution(2,23)
            call draw(55)
         end if

      end do
      end
