      subroutine pbc_images_back(x,y,z)
      implicit none
      include 'parameters.inc' 
      include 'geom.inc'     
      include 'nparticles.inc'
      include 'posic.inc'
      integer i
      real  x(npmax),y(npmax),z(npmax)
c     ** Carry R to the pbc calculation box (R is unbounded)
c     ** domain is (-0.5,0.5)*lx, etc...
c     ** x,y,z are within (-1/2,1/2)*L

      do i=1,np
         x(i)=pos(i,1)-anint(pos(i,1)/lx)*lbox(1)
         y(i)=pos(i,2)-anint(pos(i,2)/ly)*lbox(2)
         z(i)=pos(i,3)-anint(pos(i,3)/lz)*lbox(3)
      end do

      return 
      end
