      subroutine verletlist(update)
      implicit none    
      include 'param.inc'
      include 'nparticles.inc'
      include 'geom.inc'
      include 'posic.inc'
      include 'verlet.inc'

      integer i,j,k
      real dist
      logical update
      real ri(3),rj(3)
      
c##   Construct verlet list
      if(update) then           !check condition rcheck is in param_P.inc,rcheck=(rverletf-rcutfluid)**2         
c##   initialize: dispmax, list and fluid positions
         dispmax=0.0
         do i=1,np
            nlist(i)=0
            do k=1,3
               pos0(i,k)=pos(i,k)
            end do
         end do
c##   Construct Verlet list 
         do i=1,np            
            call get_posic(i,ri)
            do j=i+1,np
               call get_posic(j,rj)
               call mic_dist(rj,ri,lbox,dist)
               if(dist.lt.rverlet) then                 
                  nlist(i)=nlist(i)+1
                  ilist(i,nlist(i))=j
               end if                        
            end do
         end do
         update=.false.
         
      end if      
      return 
      end



