      subroutine init(amp)
      implicit none
      include 'param.inc'
      include 'posic.inc'
      include 'geom.inc'
      include 'init.inc'
      include 'nparticles.inc'

      integer i
      real amp,volume,pi

      open(15,file='data.mc')
      read(15,*) nstep,nsamp,nsave
      close(15)



      open(20,file='mc.rst')
      read(20,*) np,lbox(1),lbox(2),lbox(3)
      if(np.gt.npmax) stop "increase npmax"
      read(20,*) amp
      do i=1,np        
         read(20,*) pos(i,1),pos(i,2),pos(i,3)
      end do
      close(20)
      write(*,*) 'read'
      volume=lbox(1)*lbox(2)*lbox(3)
      pi=4.0*atan(1.0)
      write(*,*) 'MONTECARLO HARD-SPHERES' 
      write(*,*) 'FRACTION_VOLUME=',(pi/6)*real(np)/volume
      write(*,*) 'NSTEPS',nstep
      write(*,*) 'NSAMP',nsamp
      write(*,*) 'NSAVE',nsave
      return
      end


