      subroutine radial_distribution(control,iout)
      implicit none
      include 'param.inc'
      include 'nparticles.inc'
      include 'geom.inc'
      include 'posic.inc'
      integer control,i,j,bin,maxbin,istp,iout
      parameter (maxbin=100)
      INTEGER HIST(MAXbin)
      real GR(maxBIN),DELT_R,CONST,RUP,RLOW,NIDEAL      
      real ri(3),rj(3),DENS,volume,rij
      real pi
      SAVE ISTP,DENS,DELT_R,HIST,GR,pi

      
c     INISIALIZATION ---->CONTROL =0
      IF(CONTROL.EQ.0) THEN
         DELT_R=Lbox(1)/REAL(MAXBIN)/2.0
         ISTP=0
         DO BIN=1,MAXBIN
            HIST(BIN)=0
            GR(BIN)=0.0
         END DO
         volume=lbox(1)*lbox(2)*lbox(3)
         DENS=REAL(NP)/VOLUME
         pi=4.0*atan(1.0d0)
c     STORE DATA----CONTROL=1

      ELSE IF(CONTROL.EQ.1) THEN
         ISTP=ISTP+1
         WRITE(*,*) 'ISTEP---RADIAL',ISTP
         do i=1,nP-1
            call get_posic(i,ri)
            do j=I+1,NP
               call get_posic(j,rj)
               call mic_dist(ri,rj,lbox,rij)                  
               
               BIN=INT(rij/DELT_R)+1                  
               IF(BIN.LE.MAXBIN) THEN
                  HIST(BIN)=HIST(BIN)+2
               END IF
               
            end do
         end do
         

c  FOR CONTROL=2 ----> NORMALIZATION 
         
      ELSE IF(CONTROL.EQ.2) THEN
         
         CONST=4.0*PI*DENS/3.0
         
         DO BIN=1,MAXBIN            
            RLOW=REAL(BIN-1)*DELT_R
            RUP=RLOW+DELT_R
            NIDEAL=CONST*(RUP**3-RLOW**3)
            GR(BIN)=REAL(HIST(BIN))/REAL(ISTP)/REAL(NP)/NIDEAL
            WRITE(IOUT,*) (RUP+RLOW)/2.,GR(BIN)
         end do
         write(30,*) GR(29),GR(39)
         close(IOUT)

      END IF

      RETURN
      END
